import java.io.*;
import java.util.*;
import javax.swing.*;

public class fg1
{
     public static double[] verigir(String s)
     {
     String s1=JOptionPane.showInputDialog(s);        
     StringTokenizer token=new StringTokenizer(s1);
     int n=token.countTokens()-1;
     int m=n+1;
     double a[]=new double[m];
     int j=0;           
     while(token.hasMoreTokens())
     {
     Double ax=new Double(token.nextToken());
     a[j++]=ax.doubleValue();
     }
     return a;
     }
public static void main(String arg[])
{
String s=JOptionPane.showInputDialog("fonksiyonu giriniz : ");
functiongenerator fg=new functiongenerator();
fg.addfunction(s);
String s1=fg.createfunction();
double a[]=verigir("fonksiyon grafiği alt ve üst sınırlarını giriniz");
f2D f=new f2D();
Plot pp=new Plot(f,a[0],a[1],400);
pp.plot();	
}

}